メインコンテンツへスキップ
POST
/
metadata_cascade_policies
/
{metadata_cascade_policy_id}
/
apply
cURL
curl -i -X POST "https://api.box.com/2.0/metadata_cascade_policies/21312/apply" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "conflict_resolution": "overwrite"
     }'
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

metadata_cascade_policy_id
string
必須

強制的に適用するカスケードポリシーのID。

ボディ

application/json
conflict_resolution
enum<string>
必須

メタデータテンプレートですでにインスタンスが子に適用されているという競合に対処する際の最適な動作を説明します。

  • noneを指定すると、ファイルの既存の値が保持されます。
  • overwriteを指定すると、既存の値を無視してテンプレートの値が強制的に適用されます。
利用可能なオプション:
none,
overwrite
:

"none"

レスポンス

APIコールが成功した場合は空のレスポンスを返します。メタデータのカスケード操作は非同期的に実行されます。

APIコールは、カスケード操作が完了していなくても直ちに復帰します。現時点では、この操作のステータスを確認するためのAPIはありません。